Last Comment Bug 684782 - Readd support for the explicit $topsrcdir/mozconfig location (but error if mozconfig and .mozconfig are both present)
: Readd support for the explicit $topsrcdir/mozconfig location (but error if mo...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla9
Assigned To: Jeff Walden [:Waldo] (remove +bmo to email)
:
Mentors:
Depends on: 675691
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-05 19:34 PDT by Jeff Walden [:Waldo] (remove +bmo to email)
Modified: 2011-09-07 08:13 PDT (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (1.85 KB, patch)
2011-09-05 19:34 PDT, Jeff Walden [:Waldo] (remove +bmo to email)
ted: review+
bugspam.Callek: feedback+
Details | Diff | Splinter Review

Description Jeff Walden [:Waldo] (remove +bmo to email) 2011-09-05 19:34:21 PDT
Created attachment 558371 [details] [diff] [review]
Patch

Bug 675691 removed support for a slew of bizarre locations implicitly probed for a mozconfig for sourcing Mozilla build options.  That's good: explicit is better than implicit, and all that.

Yet I think this removal went slightly too far in removing support for $topsrcdir/mozconfig.  This useful alternative to .mozconfig was good precisely because it is explicit: it shows up in directory listings, and in folder views and the like, where .mozconfig does not.

I understand there have been "multiple requests to add [$topsrcdir/mozconfig support] back".  Reading bug 675691, the reason I see for not doing this is worry about having "a fair bit of additional complexity" from allowing two different locations and it not being clear which would be used.  I'm happy to take on that complexity (which seems to be only a few lines) if that's what it takes to preserve the explicit, visible-in-directories non-dotted mozconfig name.

So could we readd support for $topsrcdir/mozconfig, please?
Comment 1 Siddharth Agarwal [:sid0] (inactive) 2011-09-06 04:03:45 PDT
Yeah, this makes sense.
Comment 2 Justin Wood (:Callek) 2011-09-06 04:51:55 PDT
Comment on attachment 558371 [details] [diff] [review]
Patch

Jeff, [or sid] when this lands on m-c can you possibly land an exact copy of this patch to c-c?
Comment 3 Mounir Lamouri (:mounir) 2011-09-07 04:43:47 PDT
Just pushed to inbound. Will try to push to comm-central when it will be green on inbound. Otherwise, would be great that the merger does it.
Comment 5 Mark Banner (:standard8) (afk until 26th July) 2011-09-07 08:13:47 PDT
Checked into c-c: http://hg.mozilla.org/comm-central/rev/f3dea0d0f794

Note You need to log in before you can comment on or make changes to this bug.